:root {
    --primary: #6a0dad; /* Violet principal */
    --dark: #4b0082;
    --light: #f4f0fa;
    --light_action: #FFD3C7;
    --action: #FFEBE5;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}
html, body {
  overflow-x: hidden;
}

body {
    margin: 0;
    width: 100%;
    background-color: #ffffff;
    color: #333;
}

header {
    background-color: var(--primary);
    color: white;
    display: flex;
    height: 75px;
    justify-content: space-between;
    align-items: center;
}

header .logo {
    height: 100%;
    width: auto;
}

.btn {
    padding: 12px 22px;
    text-decoration: none;
    font-weight: bold;
    transition: 0.3s;
    align-items: center;
}


nav{
    display: flex;
    height: 100%;
    margin-right: 20px;
}


nav .btn {
    display: flex;
    color: white;
    font-size: 100%;
    background-color: transparent;
}

nav .btn:hover {
    background-color: var(--dark);
    font-size: 105%;
    text-decoration: none;
}

.hero {
    background: linear-gradient(rgba(125, 26, 196, 0.5), rgba(98, 5, 152, 0.75)), 
                url('https://images.unsplash.com/photo-1600585154340-be6161a56a0c') center/cover;
    color: white;
    text-align: center;
    padding: 100px 20px;
}

.hero h1 {
    font-size: clamp(30px, 3vw, 40px);
    margin-bottom: 20px;
}

.hero p {
    font-size: clamp(16px, 2vw, 20px);
    margin-bottom: 30px;
}

.hero .btn {
    background-color: var(--action);
    color: var(--primary);
    padding: clamp(9px, 2vw, 12px) clamp(20px, 2vw, 25px);
    font-size: clamp(13px, 2vw, 17px);
    text-decoration: none;
    border-radius: 25px;
    font-weight: bold;
    transition: 0.3s;
    box-shadow: 1px 1px 10px black;
}

.hero .btn:hover {
    background-color: var(--light_action);
    font-size: 18px;
    box-shadow: 5px 5px 10px black;
}

.section {
    padding: 60px 8px;
    text-align: center;
}

.section h2 {
    font-size: clamp(30px, 3vw, 32px);
    margin-bottom: 40px;
    color: var(--primary);
}

.services-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 20px;
}

.service {
    background-color: var(--light);
    padding: 30px;
    border-radius: 10px;
    width: 280px;
    box-shadow: 2px 2px 6px black;
    transition: 0.3s;
}

.service:hover {
    transform: translateY(-5px);
    box-shadow: 0px 5px 5px black;
}

.purple {
    background-color: var(--primary);
    color: white;
}

.contact-info p {
    font-size: 22px;
    color: black;
}

.contact-info a {
    font-size: clamp(17px, 3vw, 23px);
    color: black;
    font-weight: bold;
}

#contact h2 {
    color: white;
}

#contact h3 {
    font-size: clamp(18px, 3vw, 28px);
    margin-bottom: 20px;
    color: white;
}

#contact p{
    font-size: clamp(15px, 2vw, 20px);
}

.grid{
    display: flex;
    align-items: center;
    justify-content: center;
}

.grid img{
    margin-left: 5%;
    height: clamp(120px, 2vw, 150px);
}

.grid .info{
    margin: 0px 2%;
}

.info{
    display: inline-block;
    border: 1px solid black;
    padding: 14px;
    background-color: var(--light);
    border-radius: 10px;
    box-shadow: 0px 2px 1px 1px black;
    transition: 0.3s;
}

.info:hover {
    transform: translateY(-5px);
    box-shadow: 0px 5px 3px 2px black;
    padding: 15px;
}


.container{ 
    max-width: 1200px;
    width: 98%;
    margin: 5px auto;
    padding: clamp(17px, 3vw, 20px);
    border: solid 2px;
    border-radius: 7px;
}

.step{
    margin-bottom: 30px;
    padding: clamp(18px, 2vw, 20px);
    border-radius: clamp(10px, 1vw, 20px);
    border: solid 2px;
    background: #f9f9f9;
}

.step h2{
    font-size: clamp(24px, 3vw, 28px);
    margin-bottom: 15px;
}

input, textarea{
  width: 100%;
  max-width: 100%;
  padding: 12px;
  margin: 5px 0 5px 0;
  border-radius: 6px;
  border: 1px solid #ccc;
}

input[type="date"] {
  width: 100%;
  max-width: 100%;
  box-sizing: border-box;
  -webkit-appearance: none;
  appearance: none;
}

.checkbox{
    width: clamp(80%, 2vw, 100%);
    margin: 0px 0px 2px 10px;
    width: auto;
}

.checkbox:hover{
    box-shadow: 1px 1px 3px grey;
}

.checkbox-box{
    display: inline-grid;
    width: 100%;
}

label {
  display: flex;
  align-items: center;
  margin: 10px 0;
  width: 100%;
  cursor: pointer;
}

label p{
    min-width: 120px;
    width: 40%;
}

label p#consent{
	width: 70%;
}

#erreur-prestation {
  scroll-margin-top: 200px;
}

button {
  width: 100%;
  padding: 15px;
  background: #000;
  color: #fff;
  border: none;
  border-radius: 8px;
  font-size: 16px;
  cursor: pointer;
}


button:hover {
  opacity: 0.9;
}

footer {
    background-color: var(--dark);
    color: white;
    text-align: center;
    padding: 15px;
}
